=== debian/control ===
Source: softhsm2
Section: admin
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libcppunit-dev,
               libsqlite3-dev (>= 3.4.2),
               libssl-dev,
               quilt (>= 0.46-7~),
               sqlite3
Standards-Version: 3.9.6
Homepage: https://www.opendnssec.org/softhsm/
Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/softhsm2.git
Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/softhsm2.git

Package: softhsm2-common
Architecture: any
Depends: ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains command line tools.

Package: softhsm2
Architecture: any
Depends: libsofthsm2,
         softhsm2-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains command line tools.

Package: libsofthsm2-dev
Section: libdevel
Architecture: any
Depends: libsofthsm2 (= ${binary:Version}),
         softhsm2-common,
         ${misc:Depends}
Conflicts: libsofthsm-dev
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains development library.  You will need external
 PKCS#11 header files.

Package: libsofthsm2
Section: libs
Architecture: any
Depends: softhsm2-common,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: softhsm2
Provides: libpkcs11
Breaks: opendnssec-common (<< 1.3.5-1~)
Description: cryptographic store accessible through a PKCS #11
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains shared library.

Package: softhsm2-dbg
Architecture: any
Recommends: gdb
Section: debug
Priority: extra
Depends: libsofthsm2,
         softhsm2-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Debug symbols for SoftHSM 2
 OpenDNSSEC is a complete DNSSEC zone signing system which is very
 easy to use with stability and security in mind.  There are a lot of
 details in signing zone files with DNSSEC and OpenDNSSEC covers most
 of it.
 .
 SoftHSM 2 is a software implementation of a generic cryptographic
 device with a PKCS #11 Cryptographic Token Interface.
 .
 This package contains debugging symbols for SoftHSM 2 needed for
 properly debugging errors in SoftHSM 2 with gdb.
