## softhsm2 2.1.0

=== debian/changelog ===
softhsm2 (2.1.0-3) unstable; urgency=medium

  [ Edmund Grimley Evans ]
  * Fix FTBFS on arm64

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Apr 2016 12:46:51 +0200

softhsm2 (2.1.0-2) unstable; urgency=medium

  * Kill dbg packages
  * Put libsofthsm2.so back to non-MA /usr/lib to allow easy usage
    in other applications.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Apr 2016 00:17:33 +0200

softhsm2 (2.1.0-1) unstable; urgency=medium

  * Imported Upstream version 2.1.0
  * Rebuild patches using gbp pq

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Apr 2016 22:03:04 +0200
