## softhsm2 2.2.0~rc1

=== debian/changelog ===
softhsm2 (2.2.0~rc1-2) unstable; urgency=medium

  [ Rickard Bellgrim ]
  * Fix p11test failing on 32-bit systems.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 12 Nov 2016 01:58:22 +0100

softhsm2 (2.2.0~rc1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0~rc1
   + OpenSSL 1.1.0 support (Closes: #828551)
  * Disable GOST support due OpenSSL 1.1.0

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 22:17:08 +0100
