## softhsm2 2.2.0~rc2

=== debian/changelog ===
softhsm2 (2.2.0~rc2-1) unstable; urgency=medium

  * Move the package under pkg-dns
  * Imported Upstream version 2.2.0~rc2
  * 32-bit patch has been merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Nov 2016 21:37:05 +0100
