## softhsm2 2.2.0

=== debian/changelog ===
softhsm2 (2.2.0-3.1) unstable; urgency=medium

  [Tobias Frost ]
  * Non-maintainer upload.
  * Import patch from Rene from the BTS.
  * Lintian warning fixed:
    - Fix VCS-* links in d/control ("right" URL and using https)
    - As package priority extra is obsolete, change it to optional.
      This fixed transitional-package-should-be-oldlibs-optional and
      priority-extra-is-replaced-by-priority-optional.
    - Add debhelper-but-no-misc-depends also to the transitional packages

  [ Rene Engelhard ]
  * use pkg-config instead of cppunit-config for cppunit (Closes: #868855)

 -- Tobias Frost <tobi@debian.org>  Sun, 22 Oct 2017 13:41:11 +0200

softhsm2 (2.2.0-3) unstable; urgency=medium

  * Replace doc symlink with directory in transitional softhsm package
    (Closes: #854858)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 12 Feb 2017 15:12:33 +0100

softhsm2 (2.2.0-2) unstable; urgency=medium

  [ Mike Miller ]
  * Install PKCS#11 module configuration file for p11-kit
    (Closes: #849158)

  [ Ondřej Surý ]
  * Remove spurious /usr/share/doc/softhsm symlink (Closes: #849624)
  * Switch to automatic dbgsym packages
  * Introduce dummy softhsm-common and softhsm packages to circumvent
    around softhsm-common postinst that removes softhsm user and breaks
    softhsm2 (Closes: #847117)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Jan 2017 15:51:50 +0100

softhsm2 (2.2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Dec 2016 13:55:49 +0100
