=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: softhsm2
 Section: admin
-Priority: extra
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Priority: optional
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                libcppunit-dev,
+               libp11-kit-dev,
                libsqlite3-dev (>= 3.4.2),
                libssl-dev,
+               pkg-config,
                quilt (>= 0.46-7~),
                sqlite3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.opendnssec.org/softhsm/
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/softhsm2.git
-Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/softhsm2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/softhsm2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-dns/softhsm2.git
 
 Package: softhsm2-common
 Architecture: any
@@ -29,7 +32,7 @@
  SoftHSM 2 is a software implementation of a generic cryptographic
  device with a PKCS #11 Cryptographic Token Interface.
  .
- This package contains command line tools.
+ This package contains common files shared between enforcer and signer.
 
 Package: softhsm2
 Architecture: any
@@ -87,23 +90,23 @@
  .
  This package contains shared library.
 
-Package: softhsm2-dbg
-Architecture: any
-Recommends: gdb
-Section: debug
-Priority: extra
-Depends: libsofthsm2,
-         softhsm2-common,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Debug symbols for SoftHSM 2
- OpenDNSSEC is a complete DNSSEC zone signing system which is very
- easy to use with stability and security in mind.  There are a lot of
- details in signing zone files with DNSSEC and OpenDNSSEC covers most
- of it.
- .
+Package: softhsm
+Section: oldlibs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: softhsm2, ${misc:Depends}
+Architecture: all
+Description: cryptographic store accessible through a PKCS #11 (dummy)
  SoftHSM 2 is a software implementation of a generic cryptographic
  device with a PKCS #11 Cryptographic Token Interface.
  .
- This package contains debugging symbols for SoftHSM 2 needed for
- properly debugging errors in SoftHSM 2 with gdb.
+ This is a transitional package and can be safely removed.
+
+Package: softhsm-common
+Section: oldlibs
+Architecture: all
+Depends: softhsm2-common, ${misc:Depends}
+Description: cryptographic store accessible through a PKCS #11 (dummy)
+ SoftHSM 2 is a software implementation of a generic cryptographic
+ device with a PKCS #11 Cryptographic Token Interface.
+ .
+ This is a transitional package and can be safely removed.
