=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	  --with-crypto-backend=openssl \
 	  --with-migrate \
 	  --with-pic \
+	  --disable-gost \
 	  $(CONFIGURE_FLAGS)
 
 override_dh_installchangelogs:
@@ -47,3 +48,6 @@
 	install -m 0755 -d $(CURDIR)/debian/tmp/usr/include/softhsm/
 	install -m 0644 $(CURDIR)/src/lib/cryptoki_compat/pkcs11.h $(CURDIR)/debian/tmp/usr/include/softhsm/
 	dh_install -X.la -X.sample --fail-missing
+
+override_dh_strip:
+	dh_strip -O--dbgsym-migration='softhsm2-dbg (<< 2.2.0-2~)'
