=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|pre|dev|b|a)\d*)$/$1~$2/ \
https://dist.opendnssec.org/source/softhsm-(2.*)\.tar\.gz
