## softhsm2 2.2.0-3.1build1+8.0trisquel1

=== debian/changelog ===
softhsm2 (2.2.0-3.1build1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Oct 2018 22:59:12 +0000

softhsm2 (2.2.0-3.1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:53:57 +0000
