## softhsm2 2.4.0

=== debian/changelog ===
softhsm2 (2.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, and remove non-needed patch.
  * Move to salsa.debian.org.
  * Add mipsisa64r6 and mipsisa64r6el to skip_64 bit archs. (Closes: #883695)
  * Create "tokens" under /var/lib/softhsm. (Closes: #863989)
  * Conflicts with old softhsm-common to ensure
    softhsm-common removed first. (Closes: #836886)
  * Install libraries into multiarch libdir, and keep a link under /usr/lib.
    We may need some time to finish this migration.
  * Remove quilt from build-depends, not needed now.
  * Bump standard verion to 4.1.3.

 -- YunQiang Su <syq@debian.org>  Sun, 25 Mar 2018 09:28:48 +0800

softhsm2 (2.2.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add riscv64 to SKIP_64BIT_ON_CPU in d/rules (Closes: #892560)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 10 Mar 2018 17:46:43 +0100
