=== debian/control ===
--- 
+++ 
@@ -11,18 +11,18 @@
                libsqlite3-dev (>= 3.4.2),
                libssl-dev,
                pkg-config,
-               quilt (>= 0.46-7~),
                sqlite3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.opendnssec.org/softhsm/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/softhsm2.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-dns/softhsm2.git
+Vcs-Browser: https://salsa.debian.org/debian/softhsm2
+Vcs-Git: https://salsa.debian.org/debian/softhsm2.git
 
 Package: softhsm2-common
 Architecture: any
 Depends: ucf,
          ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: softhsm-common (<< 2.0)
 Description: cryptographic store accessible through a PKCS #11
  OpenDNSSEC is a complete DNSSEC zone signing system which is very
  easy to use with stability and security in mind.  There are a lot of
