## softhsm2 2.5.0

=== debian/changelog ===
softhsm2 (2.5.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:17 +0100

softhsm2 (2.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Ondřej Surý ]
  * Update the Maintainer team to dns-team (Closes: #899949)
  * New upstream version 2.5.0

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Mar 2019 14:21:43 +0000
