=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-SKIP_64BIT_ON_CPU="aarch64 alpha ia64 mips64 mips64el"
+SKIP_64BIT_ON_CPU="aarch64 alpha ia64 mips64 mips64el riscv64 mipsisa64r6 mipsisa64r6el"
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
@@ -34,7 +34,6 @@
 	dh_auto_configure -- \
 	  --sysconfdir=/etc/softhsm \
 	  --localstatedir=/var \
-	  --libdir=/usr/lib \
 	  --with-crypto-backend=openssl \
 	  --with-migrate \
 	  --with-pic \
@@ -46,8 +45,15 @@
 
 override_dh_install:
 	install -m 0755 -d $(CURDIR)/debian/tmp/usr/include/softhsm/
-	install -m 0644 $(CURDIR)/src/lib/cryptoki_compat/pkcs11.h $(CURDIR)/debian/tmp/usr/include/softhsm/
-	dh_install -X.la -X.sample --fail-missing
+	install -m 0644 $(CURDIR)/src/lib/pkcs11/*.h $(CURDIR)/debian/tmp/usr/include/softhsm/
+	find $(CURDIR)/debian/tmp -name *.la | xargs rm -f
+	dh_install
+
+override_dh_link:
+	#FIXME when all packages know that we have move to multiarch libdir, we cannot remove this symlink
+	#While I have no idea when we can finish this.
+	dh_link -plibsofthsm2 usr/lib/$(DEB_HOST_MULTIARCH)/softhsm/libsofthsm2.so usr/lib/softhsm/libsofthsm2.so
+	dh_link
 
 override_dh_strip:
 	dh_strip -O--dbgsym-migration='softhsm2-dbg (<< 2.2.0-2~)'
